To register for an account, click here...
Page 1 of 2 12 LastLast
Results 1 to 10 of 13
  1. #1
    Senior Member
    Join Date
    Jan 2012
    Posts
    124
    Member #
    53095
    Liked
    1 times

    How to install apps requiring 5.1?

    I'm jailbroken on 5.0.1 and have no plans to upgrade to 5.1 yet cause of the lack of an untethered jailbreak.

    But i want to install an iTunes app that requires 5.1 to download and install. Is there any way to go about this, please, without upgrading and losing my untethered jailbreak?

    I'm not sure if this has been posted before.. my apologies if it has and I missed the thread.



  2. #2
    Member
    Join Date
    Oct 2011
    Posts
    46
    Member #
    40178
    Liked
    1 times
    I believe I read somewhere you can't. Apple does this to make people update to the newest iOS out

  3. #3
    Junior Member
    Join Date
    May 2012
    Posts
    7
    Member #
    72048
    This is the way:
    1-From ifile application navigate to (System, Library, CoreServices, Systemversion.plist) choose property list viewer then productversion, edit 5.0.1 to 5.1. Respring your iPhone. Now you can install apps that you want.
    Last edited by ibrahimhamad; 05-13-2012 at 02:21 PM.

  4. #4
    Junior Member
    Join Date
    Sep 2011
    Posts
    25
    Member #
    32540
    Quote Originally Posted by ibrahimhamad
    This is the way:
    1-From ifile application navigate to (System, Library, CoreServices, Systemversion.plist) choose property list viewer then productversion, edit 5.0.1 to 5.1. Respring your iPhone. Now you can install apps that you want.
    Will that make my iphone ios 5.1??? And will my jailbreak be gone????

  5. #5
    Junior Member
    Join Date
    May 2012
    Posts
    7
    Member #
    72048
    No, it is just a fake change making apps deal with ios as if it was 5.1.
    Last edited by ibrahimhamad; 05-14-2012 at 09:06 PM.

  6. #6
    Junior Member
    Join Date
    Sep 2011
    Posts
    25
    Member #
    32540
    Quote Originally Posted by ibrahimhamad
    No, it is just a fake change making apps deal with ios as if it was 5.1.
    Ohhh. Will this work on my ipad??? Ipad on ios4.3.3 jailbroken.

  7. #7
    Senior Member
    Join Date
    May 2011
    Location
    Riverside, CA
    Posts
    165
    Member #
    20203
    Liked
    3 times
    Quote Originally Posted by ibrahimhamad View Post
    This is the way:
    1-From ifile application navigate to (System, Library, CoreServices, Systemversion.plist) choose property list viewer then productversion, edit 5.0.1 to 5.1. Respring your iPhone. Now you can install apps that you want.
    VERY interesting - and I am excited, and I want to do this... but will doing this cause any problems? I intend to install the latest update to "Pages" and iphoto - so this could be great news! But I seem to recall reading somewhere that this caused some problems. Is this true?

    Take care,
    Rob

  8. #8
    Junior Member
    Join Date
    May 2012
    Posts
    7
    Member #
    72048
    This trick works on ipad and iphone (I tried it on 5.0.1 and I don't know about 4.3.3) and doesn't cause any problem.
    #For iphoto, there is a cydia tweak called iphoto501fix in thebigboss source.It makes iphoto compatible with ios 5 or
    higher and prevents crashes on iphone and ipad.
    Last edited by ibrahimhamad; 05-15-2012 at 11:49 AM.

  9. #9
    Super Moderator
    Join Date
    Aug 2011
    Location
    western NY state (USA)
    Posts
    1,621
    Member #
    29431
    Liked
    202 times
    Be very careful with this process. If you don't change the .plist back to show the actual iOS you have loaded, you could bork up your jail break. There are some members over at our sister iPad forum who lost their jail breaks because they did not reset the .plist after downloading the 5.1 apps they wanted.

    They went to Cydia without changing the plist back and an update caused their iPads to go "hinky" and they needed to restore. They had to restore to an unjailbroken state. This was because their iPads "told" Cydia they were on a different iOS than they actually were.

    Thankfully for them, because of the new downgrade procedure, they were able to downgrade their ipads. Then, what they discovered was:

    Once you install/reinstall your 5.1 apps, you MUST:

    1. Change the plist file back to 5.0.1

    2. Reboot the iPad <---- the critically important step!

    3. Check on "about" that the iPad effectively recognises you are on 5.0.1

    4. Only then keep using your iPad
    I'm not saying this'll happen with the iPhone. This is just a caution; don't want to have people losing their jail breaks...

    Marilyn
    Black 32GB iPhone 5 & Space Gray 32GB WiFi-only iPad Air (both jailbroken on iOS 7.0.6 w/evasi0n7)

    * * * PLEASE READ * * * Forum Rules * * * PLEASE READ * * *

  10. #10
    Senior Member
    Join Date
    May 2011
    Location
    Riverside, CA
    Posts
    165
    Member #
    20203
    Liked
    3 times
    Quote Originally Posted by Mickey330 View Post
    Be very careful with this process. If you don't change the .plist back to show the actual iOS you have loaded, you could bork up your jail break. There are some members over at our sister iPad forum who lost their jail breaks because they did not reset the .plist after downloading the 5.1 apps they wanted.

    They went to Cydia without changing the plist back and an update caused their iPads to go "hinky" and they needed to restore. They had to restore to an unjailbroken state. This was because their iPads "told" Cydia they were on a different iOS than they actually were.

    Thankfully for them, because of the new downgrade procedure, they were able to downgrade their ipads. Then, what they discovered was:



    I'm not saying this'll happen with the iPhone. This is just a caution; don't want to have people losing their jail breaks...

    Marilyn

    Thank you for the good advice - only one more question before I "take the plunge" - and, yes, I realize that this is likely a stupid question: once I change the .plist back to the correct number, will the apps I installed that require 5.1 still work correctly?

    Take care,
    Rob


Page 1 of 2 12 LastLast

Links

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  

Similar Threads

  1. text editor with nested folders not requiring online
    By unckybob in forum iPhone Apps
    Replies: 0
    Last Post: 11-22-2011, 01:01 PM
  2. Apps won't install
    By zuluwhiskeyfox in forum iPhone Apps
    Replies: 7
    Last Post: 11-13-2011, 01:58 PM
  3. Can't Install Any Apps
    By paradigma44 in forum iPhone Help
    Replies: 1
    Last Post: 10-19-2011, 03:42 PM
  4. Can't re-install apps from 3gs on verizon iphone 4
    By mpetruzz in forum iPhone Apps
    Replies: 4
    Last Post: 02-10-2011, 03:37 AM
  5. how to install apps from torrent?
    By arkt_igers in forum iPhone Apps
    Replies: 3
    Last Post: 12-31-2010, 06:51 AM

Search tags for this page

app requires 5.1
,

app requires ios 5.1

,
download apps tgats require 5.1
,
how to download apps that require 5.1
,
install 5.1 apps on 5.0.1
,
requires ios 5.1 or later
,
the app requires ios 5.1
,

this app requires ios 5.1

,
this app requires ios 5.1.
,
update required this app requires ios 5.1
Click on a term to search for related topics.